"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateAndParseParameterFlag = exports.runCommand = void 0;
var node_child_process_1 = require("node:child_process");
var runCommand = function (cmd) {
    return new Promise(function (resolve, reject) {
        var child = (0, node_child_process_1.exec)(cmd, function (err) {
            // eslint-disable-next-line no-console
            if (err) {
                reject(err);
            }
            resolve(undefined);
        });
        child.stderr.pipe(process.stderr);
        child.stdout.pipe(process.stdout);
    });
};
exports.runCommand = runCommand;
function validateAndParseParameterFlag(parameters) {
    if (!parameters)
        return {};
    var parsed;
    try {
        parsed = JSON.parse(parameters);
    }
    catch (error) {
        throw new Error('Parameters must be a valid JSON string');
    }
    if (typeof parsed !== 'object') {
        throw new Error('Parameters must be an object');
    }
    if (Array.isArray(parsed)) {
        throw new Error('Parameters must be an object');
    }
    return parsed;
}
exports.validateAndParseParameterFlag = validateAndParseParameterFlag;
//# sourceMappingURL=utils.js.map